/*
 *  check.h - checking functions
 *  Copyright (c)2005 Mike Karas OM4AA <mike.om4aa@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef CHECK_H
#define CHECK_H

#include "osdep.h"
#include "main.h"
#include "compare.h"

int good_qso(struct QSO_INFO *q);
void make_xchk2(uint8_t band, uint8_t pass, uint8_t mask);
void make_not_in_log(uint8_t band);
void make_bad_call(uint8_t band);
void make_xchk_res(uint8_t band);
void make_dupe(uint8_t band);
void make_outside_wwl(uint8_t band);

#endif /* CHECK_H */
